Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JTATransaction

public interface JTATransaction
extends java.io.Serializable

This class represents information about a live transaction.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getCoordinatorURL()` Returns the coordinator URL.
`java.lang.String` | `getName()` Returns the name of the transaction.
`java.util.Map` | `getResourceNamesAndStatus()` Returns a collection of participating resource names and their status for the transaction.
`int` | `getSecondsActiveCurrentCount()` Returns the time in seconds for which the transaction has been active.
`java.lang.String[]` | `getServers()` Returns the participant servers for the transaction.
`java.util.Map` | `getServersAndStatus()` Returns a collection of participating servers and their status for the transaction.
`java.lang.String` | `getStatus()` Returns a string representation of the transaction's status.
`java.util.Map` | `getUserProperties()` Returns the user-defined properties associated with the transaction.
`javax.transaction.xa.Xid` | `getXid()` Returns the transaction ID.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the transaction.

  Returns:
    The name value

### getXid

    public javax.transaction.xa.Xid getXid()

  Returns the transaction ID.

  Returns:
    The xid value

### getStatus

    public java.lang.String getStatus()

  Returns a string representation of the transaction's status.

  Returns:
    The status value

### getUserProperties

    public java.util.Map getUserProperties()

  Returns the user-defined properties associated with the transaction.

  Returns:
    The userProperties value

### getSecondsActiveCurrentCount

    public int getSecondsActiveCurrentCount()

  Returns the time in seconds for which the transaction has been active.

  Returns:
    The secondsActiveCurrentCount value

### getServers

    public java.lang.String[] getServers()

  Returns the participant servers for the transaction.

  Returns:
    The servers value

### getResourceNamesAndStatus

    public java.util.Map getResourceNamesAndStatus()

  Returns a collection of participating resource names and their status for the transaction.

  Returns:
    The resourceNamesAndStatus value

### getCoordinatorURL

    public java.lang.String getCoordinatorURL()

  Returns the coordinator URL.

  Returns:
    The coordinatorURL value

### getServersAndStatus

    public java.util.Map getServersAndStatus()

  Returns a collection of participating servers and their status for the transaction. The server name is qualified with the server's domain name.

  Returns:
    The serversAndStatus value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD